import type { Editor } from 'mem-fs-editor';
/**
 * Adds a new UI5 dependency to the package.json.
 * No longer required for `@ui5/cli` v3 and above.
 *
 * @param fs - the memfs editor instance
 * @param basePath - the base path
 * @param depName - the dependency name
 */
export declare function addUi5Dependency(fs: Editor, basePath: string, depName: string): void;
/**
 * Returns the path of the library file.
 *
 * @param basePath - base path of the library
 * @returns the path of the library file
 */
export declare function getLibraryPath(basePath: string): Promise<string>;
/**
 * Writes the UI5 repository file.
 *
 * @param fs - the memfs editor instance
 * @param basePath - the base path
 * @param ui5RepositoryFile - the UI5 repository file
 * @param addContent - the content to be added
 */
export declare const writeUi5RepositoryFile: (fs: Editor, basePath: string, ui5RepositoryFile: string, addContent: string) => void;
/**
 * Writes the UI5 repository files if typescript files are found.
 *
 * @param fs - the memfs editor instance
 * @param path - the path where the file will be written
 */
export declare function writeUi5RepositoryFiles(fs: Editor, path?: string): Promise<void>;
/**
 * Writes the UI5 repository ignore file if typescript files are found.
 *
 * @param fs - the memfs editor instance
 * @param path - the path where the file will be written
 */
export declare function writeUi5RepositoryIgnore(fs: Editor, path?: string): Promise<void>;
//# sourceMappingURL=file.d.ts.map